Name: speex
Version: 1.2
Release: alt0.1.beta1

%def_disable static

Summary: An open-source, patent-free speech codec
License: BSD-style
Group: Sound
Url: http://www.speex.org

%define pkgdocdir %_docdir/%name-%version

Source: %url/download/%name-%version.tar.bz2

Requires: lib%name = %version-%release

BuildRequires: libogg-devel >= 1.1

%description
Speex is a patent-free audio codec designed especially for voice
(unlike Vorbis which targets general audio) signals and providing
good narrowband and wideband quality. This project aims to be
complementary to the Vorbis codec.

%package -n lib%name
Summary: Speex shared library
Group: System/Libraries

%description -n lib%name
This package contains shared library required by Speex-based software.

%package -n lib%name-devel
Summary: Speex development file
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains heade files required to develop
Speex-based softwae.

%package -n lib%name-devel-doc
Summary: Speex development documentation
Group: Development/C
Conflicts: %name < 1.1.11.1-alt1

%description -n lib%name-devel-doc
The Speex programming manual in PDF format.

%package -n lib%name-devel-static
Summary: Speex static libraries
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains static library required to develop
Speex-based software.

%prep
%setup -q -n %name-%version

%build
autoreconf -isfv
export CPPFLAGS=-DRELEASE
%configure \
%ifarch pentium4 x86_64
    --enable-sse \
%endif
    %{subst_enable static}
# Non-parallel build
%make

%install
%makeinstall
install -d -m755 %buildroot%pkgdocdir
install -p -m644 COPYING AUTHORS ChangeLog NEWS README TODO \
    %buildroot%pkgdocdir/
install -p -m644 doc/manual.pdf \
    %buildroot%pkgdocdir/

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_bindir/*
%_man1dir/*
%dir %pkgdocdir
%pkgdocdir/COPYING
%pkgdocdir/AUTHORS
%pkgdocdir/ChangeLog
%pkgdocdir/NEWS
%pkgdocdir/README
%pkgdocdir/TODO

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/lib%name.so
%_libdir/pkgconfig/*
%_datadir/aclocal/*
%_includedir/*

%files -n lib%name-devel-doc
%dir %pkgdocdir
%pkgdocdir/manual.pdf

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Mon Oct 16 2006 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt0.1.beta1
- Speed improvments
- Critical bugfixes (instability problem with pure sinusoids has been fixed)

* Fri Apr 14 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.12-alt1
- Release 1.1.12

* Sat Dec 17 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.11.1-alt1
- Updated to 1.1.11.1
- Separated manual.pdf to libspeex-devel-doc
- Disabled static by default
- Do autoreconf
- Spec cleanup

* Wed May 25 2005 Andrey Astafiev <andrei@altlinux.ru> 1.1.8-alt1
- 1.1.8 

* Sun Mar 20 2005 Andrey Astafiev <andrei@altlinux.ru> 1.1.7-alt1
- 1.1.7

* Tue May 18 2004 Andrey Astafiev <andrei@altlinux.ru> 1.1.5-alt1
- 1.1.5

* Thu Feb 05 2004 Andrey Astafiev <andrei@altlinux.ru> 1.1.4-alt2
- Fixed BuildRequieres.

* Mon Feb 02 2004 Andrey Astafiev <andrei@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Tue Dec 09 2003 Andrey Astafiev <andrei@altlinux.ru> 1.1.3-alt1
- *.la files removed.

* Sat Sep 20 2003 Andrey Astafiev <andrei@altlinux.ru> 1.1-alt1
- 1.1

* Fri Jun 06 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Wed Mar 26 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0-alt1
- 1.0

* Mon Feb 10 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0-alt0.8rc2
- 1.0rc2
- fixed permissions on docs

* Mon Dec 23 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0-alt0.2beta4
- 1.0beta4

* Wed Nov 13 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0-alt0.1beta3
- First build for Sisyphus.
